<?php

require_once 'system/funcs.php';
require_once 'system/sys.php';
H (' Мобильный форум решений и проблем');

if (!isset ($_GET['id'])) {
header ('location: /');
exit;
}

$query = DB :: $dbs -> query ("SELECT * FROM `us` WHERE (`id`=?)", array ((int) $_GET['id']));
if ($query -> rowCount () == 0) {
header ('location: /');
exit;
}

$u = $query -> fetch ();

if ($u['id'] != $us['id']) {

if(isset($_REQUEST['submit'])) {

$arbik = ($_POST['arbik']);
$text = ($_POST['text']);
$file = ($_POST['file']);

if(empty($arbik)) {
echo '<div class="raz"><center><b>Выберите тип!</b></center></div>';
F ();
exit();
}

if(empty($text)) {
echo '<div class="raz"><center><b>Напишите за что!</b></center></div>';
F ();
exit();
}

if(isset($_REQUEST['submit'])) {

$maxsize = 1;
$size = $_FILES['filename']['size']; // Вес файла

if(!@file_exists($_FILES['filename']['tmp_name'])) {
echo '<div class="raz">Вы не выбрали файл!</a></div>';
F ();
exit;
}

$files = $_SERVER['HTTP_HOST'].'_'.rand(1234,5678).'_'.rand(1234,5678).'_'.$_FILES['filename']['name']; 
move_uploaded_file($_FILES['filename']['tmp_name'], "files/arb/".$files.""); 

if($arbik == '1') $ar = '+'; else $ar = '-';

DB :: $dbs -> query ("INSERT INTO `arbitraz` (`text`, `file`,`komy`,`us`, `time`, `arbik`) VALUES ('" . $text . "', '" . $files . "', '" . $u['id'] . "', '" . $us['id'] . "','" . time() . "','" . $ar . "')");

echo '<div class="raz">Арбитраж успешно отправлен на модерацию!</a></div>';
F ();
exit;
}
}

echo '<div class="raz">Оставить арбитраж ' . uNick ($u['id']) . '</div>';
echo '<div class="list1">';
echo '<form action="" method="POST" enctype="multipart/form-data">';
echo 'За что:<br><textarea name="text"></textarea><br/>';
echo 'Тип: <select name="arbik">
<option value="1">Отзыв<span></option>
<option value="2">Претензия<span></option>
</select>
<br>Выберите файл:<br><input type="file" name="filename"/><br>';
echo '<input type="submit" name="submit" value="Продолжить"/>';
echo '</form>';
echo '</div>';
}

echo '<div class="menu2">Арбитраж ' . uNick ($u['id']) . '</div>';

$c_f = DB :: $dbs -> querySingle ("SELECT COUNT(*) FROM `arbitraz` WHERE (`komy`= '" . $_GET['id'] . "' and `check` = '1')");

if($c_f == 0){
echo '<div class="raz">Арбитраж пуст</div>';
}
else
{
$query = DB :: $dbs -> query ("SELECT * FROM `arbitraz` WHERE (`komy`= '" . $_GET['id'] . "' and `check` = '1')");
while ($t = $query -> fetch ()) {                    
echo '<div class="raz">Пользователь: ' . uNick ($t['us']) . '</a></br>Сообщение: ' . ($t['text']) . '</br>Отзыв: ' . ($t['arbik']) . '</br>Файл: <a href="/files/arb/' . ($t['file']) . '">' . ($t['file']) . '</a></div>';
echo '</div>';
}
}


F ();

?>